.. role:: hidden
    :class: hidden-section

encoding.utils
==============

Useful util functions.

.. automodule:: encoding.utils
.. currentmodule:: encoding.utils

:hidden:`LR_Scheduler`
~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: LR_Scheduler
    :members:

:hidden:`save_checkpoint`
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: save_checkpoint

:hidden:`SegmentationMetric`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: SegmentationMetric
    :members:

:hidden:`batch_pix_accuracy`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: batch_pix_accuracy

:hidden:`batch_intersection_union`
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: batch_intersection_union
